from dataclasses import dataclass
from uuid import UUID
from datetime import date
from decimal import Decimal

@dataclass
class Transaction:
    account: UUID
    date: date
    amount: Decimal
    payee: str  # imported_payee in API
    notes: str
    imported_id: str